Retrieves Webhook Notifications for the given account id.
List Webhook Notifications
/api/accounts/{accountId}/webhook-notifications Request
Path Parameters
accountIdstringrequiredPartner account id.
Query Parameters
limitnumberAmount of records to return (max 100).
cursorstringCursor to retrieve the next page.
createdFromstringFilter for notifications from this date (inclusive). Value should be a ISO 8601 string.
createdTostringFilter for notifications up to this date (inclusive). Value should be a ISO 8601 string.
Response
Successful operation.
Body application/json
itemsobject[]Items
idstringUnique identifier for the webhook notification
accountIdstringAccount ID associated with the notification
attemptsnumberNumber of delivery attempts
createdAtstring<date-time>Timestamp when the notification was created
modifiedAtstring<date-time>Timestamp when the notification was last modified
deliveryStatusstringAllowed values:pendingattemptingdeliveredabortedfailedStatus of the webhook delivery
topicstringThe webhook topic/event type
lastDeliveryobjectDetails of the last delivery attempt
requestBodyobjectThe request body that was sent
messageIdstringtopicstringlistenerIdstringlistenerAccountIdstringdeliveryAttemptnumbercreatedAtstring<date-time>sentAtstring<date-time>keyIdstringlivenessstringAllowed values:livetestpayloadobjectThe actual payload data for the webhook event
requestUrlstring<uri>The URL the webhook was sent to
requestTimestampstring<date-time>Timestamp when the request was sent
responseStatusnumberHTTP response status code from the webhook endpoint
responseTimestampstring<date-time>Timestamp when the response was received
durationnumberDuration of the request in milliseconds
pageInfoobjectPage info for paginated results, undefined if no page info
nextCursorstringCursor for next page, undefined if no more pages
User is not allowed to perform the action with the reason stated in the errorCode.
FORBIDDEN Insufficient permissions to perform the action.
ACCOUNT_TYPE_INVALID accountType of the accountId is not of type PARTNER.